DefaultTableColumn (Groovy 2.4.16)
Date: 2018-12-09

groovy.model

## Class DefaultTableColumn

- java.lang.Object
- - javax.swing.table.TableColumn
  - - groovy.model.DefaultTableColumn

- All Implemented Interfaces:
    java.io.Serializable

      public class DefaultTableColumn
      extends javax.swing.table.TableColumn

  Represents a column using a ValueModel to extract the value.
  Author:
    James Strachan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.TableColumn

      `CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, COLUMN_WIDTH_PROPERTY, HEADER_RENDERER_PROPERTY, HEADER_VALUE_PROPERTY, headerRenderer, headerValue, identifier, isResizable, maxWidth, minWidth, modelIndex, resizedPostingDisableCount, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTableColumn(java.lang.Object headerValue, java.lang.Object identifier, ValueModel columnValueModel)`
    `DefaultTableColumn(java.lang.Object header, ValueModel valueModel)`
    `DefaultTableColumn(ValueModel valueModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getType()`
    `java.lang.Object` | `getValue(java.lang.Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
    `ValueModel` | `getValueModel()`
    `void` | `setValue(java.lang.Object row, java.lang.Object value, int rowIndex, int columnIndex)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class javax.swing.table.TableColumn

      `addPropertyChangeListener, createDefaultHeaderRenderer, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getIdentifier, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getPropertyChangeListeners, getResizable, getWidth, removePropertyChangeListener, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTableColumn

          public DefaultTableColumn(ValueModel valueModel)

    - #### DefaultTableColumn

          public DefaultTableColumn(java.lang.Object header,
                                    ValueModel valueModel)

    - #### DefaultTableColumn

          public DefaultTableColumn(java.lang.Object headerValue,
                                    java.lang.Object identifier,
                                    ValueModel columnValueModel)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getValue

          public java.lang.Object getValue(java.lang.Object row,
                                           int rowIndex,
                                           int columnIndex)

      Evaluates the value of a cell
      Parameters:
        `row` - the row of interest
        `rowIndex` - the index of the row of interest
        `columnIndex` - the column of interest
      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.Object row,
                               java.lang.Object value,
                               int rowIndex,
                               int columnIndex)

    - #### getType

          public java.lang.Class getType()

      Returns:
        the column type

    - #### getValueModel

          public ValueModel getValueModel()